* {
    font-family: "sans-serif";
    box-sizing: border-box;
}
h1 {
    font-size: 22px;
}
h3 {
    font-size: 20px;
}
h4 {
    font-size: 18px;
}
p {
    font-size: 16px;
}
a:hover {
    opacity: 0.5;
}
img {
    border:1px solid #5a6d80;
}

body {
    background-color: #cbdae8;
}
section {
    margin-top: 20px;
}

/*****HEADER******/
header {
    text-align: center;
    background-color: #5a6d80;
    background-size: cover;
    opacity: 0.8;
    justify-content: space-between;
    align-items: center;
    position: relative;
}
.top {
    text-decoration: none;
    color: #fff;
    font-size: large;
    padding: 50px 0;
}
.top h1 {
    font-size:xx-large;
    margin-bottom: 2%;
}

.hamburger-menu {
    width: 50px;
    height: 50px;
    position: relative;
    border: none;
    background: transparent;
    appearance: none;
    padding: 0;
    cursor: pointer;
    display: none;
}
.hamburger-menu__bar {
    display: inline-block;
    width: 70%;
    height: 2px;
    background: #242424;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: .5s;
}
.hamburger-menu__bar:first-child {
    top: 16px;
}
.hamburger-menu__bar:nth-child(2) {
    top: 24px;
}
.hamburger-menu__bar:last-child {
    top: 32px;
}
.hamburger-menu--open .hamburger-menu__bar {
    top: 50%;
}
.hamburger-menu--open .hamburger-menu__bar:first-child {
    transform: translateX(-50%) translateY(-50%) rotate(45deg);
}
.hamburger-menu--open .hamburger-menu__bar:last-child {
    transform: translateX(-50%) translateY(-50%) rotate(-45deg);
}
.hamburger-menu--open .hamburger-menu__bar:nth-child(2) {
    display: none;
}
.navigation {
    display: none;
    background: #ffffff;
    position: absolute;
    top: 50px;
    width: 100%;
    z-index: 9999;
}
.navigation__list {
    /*text-align: center;*/
    list-style: none;
    padding: 0;
    margin: 0;
}
.navigation__list-item {
    border-bottom: solid 1px #5a6d80;
    margin: 0 auto;
}
.navigation__list-item:first-child {
    border-top: solid 1px aliceblue;
}
.navigation__link {
    color: #5a6d80;
    font-weight: 700;
    text-decoration: none;
    display: block;
    padding: 24px 0;
    transition: .5s;
}
@media (hover: hover) and (pointer: fine) {
    .navigation__link:hover {
      background: #5a6d80;
    }
}

/*****NAV******/
.nav-btn {
    padding: 10px 0;
    border: 1px solid #5a6d80;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.nav-btn:hover {
    white-space: normal;
}
.nav-top {
    display: flex;
    text-align: center;
    background-color: #fff;
    padding: 15px;
    margin: 1% 10%;
}
.nav-top li{
    width: 25%;
    list-style: none;
    color: #5a6d80;
}
.nav-bottom {
    background-color: #fff;
    margin: 10px 0;
}
.nav-bottom ul {
    display: flex;
    text-align: center;
}
.nav-bottom li {
    width: 25%;
    list-style: none;
    color: #5a6d80;
}

/******MAIN******/
.main {
    display:flex;
    padding: 2% 2%;
    margin: 0 10%;
    background-color: #fff;
}
.main-continer {
    width: 72%;
    margin-right: 3%;
    padding: 0 20px;
    background-color:aliceblue;
    border: 1px solid #88a5c2;
}
.main-section a {
    text-decoration: none;
}
.main-section h1 {
    border-left:4px solid #5a6d80 ;
    padding: 10px;
}
.main-section img {
    margin: 10px 0 20px 20px;
}

/******CATEGORY******/
.category {
    background-color:#88a5c2;
    font-size: large;
    font-weight: 100;
    color:#fff;
    padding: 15px;
    margin: 20px 0;
}
.category h1 {
    margin-bottom: 10px;
}

/******SUBCONTENTS******/
.sub-contents {
    display: flex;
    flex-wrap: wrap;
    padding: 10px 0;
    border: 2px solid #5a6d80;
    color: #000000;
    background-color: #fff;
    height: 200px;
    margin-bottom: 20px;
}
.sub-contents img {
    object-fit: cover;
    margin: 0 2%;
    width: 40%;
    height: 100%;
}
.sub-contents-1 {
    width: 50%;
}
.sub-contents-1 h4{
    border-bottom: 1px solid #88a5c2;
    font-size: x-large;
    padding: 10px 0;
    margin-bottom: 10px;
}
.sub-contents-1 p {
    font-size: large;
}

/*****ASIDE******/
.aside-continer {
    width: 25%;
    height: fit-content;
    border: 1px solid #88a5c2;
    background-color: aliceblue;
    padding-bottom: 20px;
}
.aside-continer section {
    padding: 0 10px;
}
.aside-continer h4 {
    color: #fff;
    background-color: #88a5c2;
    text-align: center;
    padding: 5px 0 1px 0;
    margin: 10px 0;
}
.aside-1 {
    margin: 10px 10px 0 10px;
    line-height: 1.5;
}
.aside-1-link p {
    margin-top: 10px;
    padding: 5px 0;
    text-align: center;
    background-color: #fff;
    border: 1px solid #88a5c2;
    border-radius: 10px;
}
.aside-1 a {
    display: block;
    line-height: 2.0;
    color: #5a6d80;
}
.profile-img {
    text-align: center;
}
.profile-img img {
    width: 80px;
    height: 80px;
}

/*****BACK TO TOP******/
.btt {
    background-color: #fff;
    padding: 20px 0 40px 0;
    text-align: center;
    margin: 0 10%;
}
.btt a {
    text-decoration: none;
    height: fit-content;
    color: #fff;
    font-size: 18px;
}
.btt-1 {
    background-color: #88a5c2;
    padding: 15px 0;
    margin: 0 5%;
    border-radius: 5px;
}
/*****FOOTER******/
.container {
    background-color: #fff;
    padding:10px 10px;
    margin: 20px 10%;
}
.list-under {
    margin: 20px 1%;
}
.bottom {
    margin: 30px;
    text-align: right;
}
.bottom a {
    display: block;
    margin-top: 10px;
    color: #5a6d80;
}

@media(max-width: 960px) {
    .top {
        padding: 0 0 50px 0;
    }
    .hamburger-menu{
        display: flex;
    }
    .nav-1 {
        display: none;
    }
    h1 {
        font-size: 18px;
    }
    p {
        font-size: 16px;
    }
    .main {
        display:inline-block;
        padding: 2% 2%;
        margin: 10px 0 0 0;
        background-color: #fff;
    }
    .main-continer {
        width: 100%;
        background-color: #fff;
    }
    .main-section a {
        text-decoration: none;
    }
    .aside-continer {
        width: 100%;
        margin: 20px 0;
    }
    .sub-contents img {
        width: 45%;
    }
    .sub-contents-1 {
        width: 45%;
    }
    .btt {
        padding: 10px 0 20px 0;
        margin: 0;
    }
    .container {
        padding:10px 10px;
        margin: 20px 0;
    }
}

@media(max-width: 670px) {
    
    .sub-contents {
        height: fit-content;
        margin-bottom: 10px;
        overflow: hidden;
    }
    .sub-contents img {
        object-fit: contain;
        width: auto;
        height: 120px;
        margin: 0 auto;
        margin-bottom: 10px;
    }
    .sub-contents-1 {
        width: 100%;
        padding: 10px;
    }
    .sub-contents-1 h4{
        padding-bottom: 5px;
        margin-bottom: 5px;
    }
}